import "../../../chunks/chunk.QU3DSPNU.js";
import { createElement, useRef } from "react";
import { GdsDatepicker as GdsDatepickerClass } from "../../../components/datepicker/datepicker.component.js";
import { getReactComponent, useControlledValue } from "../../../utils/react.js";
const GdsDatepicker = (props) => {
  GdsDatepickerClass.define();
  const JSXElement = getReactComponent("gds-datepicker");
  const internalRef = useRef(null);
  const ref = props.ref || internalRef;
  useControlledValue(
    ref,
    props.value,
    props.defaultValue,
    props.onChange,
    props.onInput
  );
  const { onChange, onInput, ref: _ref, ...restProps } = props;
  const propsWithClass = { ...restProps, class: props.className, ref };
  return createElement(JSXElement, propsWithClass);
};
GdsDatepicker.displayName = "GdsDatepicker";
export {
  GdsDatepicker
};
